Dienstplan
Dienstplan abrufen
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
roster*string
The roster ID
Format
uuidResponse-Body
application/json
application/json
application/json
curl -X GET "https://example.com/rosters/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "string", "name": "string", "period_start": "string", "period_end": "string", "unit_id": "string", "status": "string", "created_by": "string", "notes": "string", "budget_cents": "string", "entries_count": 0, "created_at": "string", "updated_at": "string", "entries": [ { "id": "string", "roster_id": "string", "employee_id": "string", "employee_name": "string", "date": "string", "shift_id": "string", "shift": { "id": "string", "name": "string", "abbreviation": "string", "color": "string", "start_time": "string", "end_time": "string", "break_duration": "string", "is_overnight": "string", "schedule_model_id": "string", "work_area_id": "string", "tags": "string", "note": "string", "fairness_weight": 0, "net_duration_ms": 0 }, "start_time": "string", "end_time": "string", "effective_start": "string", "effective_end": "string", "planned_work": "string", "note": "string", "work_area_id": "string", "effective_work_area_id": "string", "status": "string", "generated": true, "series_id": "string", "source_unit_id": "string", "source_unit": { "id": "string", "name": "string" }, "is_cross_unit": true, "published_at": "string", "is_open": true, "applications_count": 0, "acknowledgement": { "pending": 0, "acknowledged": 0, "status": "pending", "acknowledged_at": "string" }, "my_application": null, "warnings": [] } ], "coverage": [ { "date": "string", "slots": [ { "property1": null, "property2": null } ] } ], "absences": [ { "employee_id": "string", "date": "string", "type_label": "string" } ] }}